These are chat archives for scalikejdbc/ja

28th
May 2015
Kazuhiro Sera
@seratch
May 28 2015 12:15
seratch/scalikejdbc-play-support@fca74a9
> play-dbapi-adapter/test
[info] Updating {file:/Users/k-sera/Documents/github/scalikejdbc-play-support/}play-dbapi-adapter...
[info] Resolving jline#jline;2.12.1 ...
[info] downloading https://repo1.maven.org/maven2/org/specs2/specs2-core_2.11/3.6/specs2-core_2.11-3.6.jar ...
[info]     [SUCCESSFUL ] org.specs2#specs2-core_2.11;3.6!specs2-core_2.11.jar (2624ms)
[info] downloading https://repo1.maven.org/maven2/org/specs2/specs2-matcher_2.11/3.6/specs2-matcher_2.11-3.6.jar ...
[info]     [SUCCESSFUL ] org.specs2#specs2-matcher_2.11;3.6!specs2-matcher_2.11.jar (2073ms)
[info] downloading https://repo1.maven.org/maven2/org/specs2/specs2-common_2.11/3.6/specs2-common_2.11-3.6.jar ...
[info]     [SUCCESSFUL ] org.specs2#specs2-common_2.11;3.6!specs2-common_2.11.jar (1911ms)
[info] downloading http://dl.bintray.com/scalaz/releases/org/scalaz/stream/scalaz-stream_2.11/0.7a/scalaz-stream_2.11-0.7a.jar ...
[info]     [SUCCESSFUL ] org.scalaz.stream#scalaz-stream_2.11;0.7a!scalaz-stream_2.11.jar(bundle) (5407ms)
[info] downloading https://repo1.maven.org/maven2/org/scodec/scodec-bits_2.11/1.0.6/scodec-bits_2.11-1.0.6.jar ...
[info]     [SUCCESSFUL ] org.scodec#scodec-bits_2.11;1.0.6!scodec-bits_2.11.jar(bundle) (1662ms)
[info] Done updating.
[info] Compiling 1 Scala source to /Users/k-sera/Documents/github/scalikejdbc-play-support/scalikejdbc-play-dbapi-adapter/target/scala-2.11/test-classes...
[warn] application - Logger configuration in conf files is deprecated and has no effect. Use a logback configuration file instead.
[info] PlayDBPluginAdapterSpec
[info]
[info] PlayDBPluginAdapter should
[error]   ! be available when DB plugin is also active
[error]    Unable to create injector, see the following errors:
[error]
[error]    1) No implementation for play.api.inject.ApplicationLifecycle was bound.
[error]      while locating play.api.inject.ApplicationLifecycle
[error]        for parameter 3 at play.api.db.DBApiProvider.<init>(DBModule.scala:58)
[error]      at play.api.db.DBModule.bindings(DBModule.scala:25):
[error]    Binding(interface play.api.db.DBApi to ProviderConstructionTarget(class play.api.db.DBApiProvider)) (via modules: com.google.inject.util.Modules$OverrideModule -> play.api.inject.guice.GuiceableModuleConversions$$anon$1)
[error]
[error]    2) No implementation for play.api.inject.ApplicationLifecycle was bound.
[error]      while locating play.api.inject.ApplicationLifecycle
[error]        for parameter 2 at scalikejdbc.PlayDBApiAdapter.<init>(PlayDBApiAdapter.scala:29)
[error]      at scalikejdbc.PlayDBApiAdapterModule.bindings(PlayDBApiAdapterModule.scala:26):
[error]    Binding(class scalikejdbc.PlayDBApiAdapter to self eagerly) (via modules: com.google.inject.util.Modules$OverrideModule -> play.api.inject.guice.GuiceableModuleConversions$$anon$1)
[error]
[error]    3) Could not find a suitable constructor in play.api.Configuration. Classes must have either one (and only one) constructor annotated with @Inject or a zero-argument constructor that is not private.
[error]      at play.api.Configuration.class(Configuration.scala:197)
[error]      while locating play.api.Configuration
[error]        for parameter 1 at scalikejdbc.PlayDBApiAdapter.<init>(PlayDBApiAdapter.scala:29)
[error]      at scalikejdbc.PlayDBApiAdapterModule.bindings(PlayDBApiAdapterModule.scala:26):
[error]    Binding(class scalikejdbc.PlayDBApiAdapter to self eagerly) (via modules: com.google.inject.util.Modules$OverrideModule -> play.api.inject.guice.GuiceableModuleConversions$$anon$1)
[error]
[error]    4) Could not find a suitable constructor in play.api.Configuration. Classes must have either one (and only one) constructor annotated with @Inject or a zero-argument constructor that is not private.
[error]      at play.api.Configuration.class(Configuration.scala:197)
[error]      while locating play.api.Configuration
[error]        for parameter 2 at play.api.inject.RoutesProvider.<init>(BuiltinModule.scala:62)
[error]      while locating play.api.inject.RoutesProvider
[error]        for parameter 1 at play.api.test.FakeRouterProvider.<init>
ビルド設定直すところまでやったけど、なんかテスト失敗しまくってる... 誰か引き継いでくれると嬉しいです。
KAWACHI Takashi
@tkawachi
May 28 2015 13:39
ちょっと見てみます(けど、進捗するかは別問題..
KAWACHI Takashi
@tkawachi
May 28 2015 14:50
https://github.com/seratch/scalikejdbc-play-support/pull/1/files とりあえずテストが通った気がした
Toshiyuki Takahashi
@tototoshi
May 28 2015 14:55
play.sbt.Play 使うのと play.sbt.PlayScala 使うのとで微妙に挙動違うけどなんかよくわかってない
KAWACHI Takashi
@tkawachi
May 28 2015 14:56
twirl のなかで Form 型が見つからないとかエラーが出てたんですが play.sbt.PlayScala に変えたら通ったんで 深く考えずにそうしました
Toshiyuki Takahashi
@tototoshi
May 28 2015 14:57
play.sbt.PlayScala じゃなくて play.sbt.Play 使えって表示されるけど activator new してできるのは play.sbt.PlayScala のほうで、オイッって思いました。
KAWACHI Takashi
@tkawachi
May 28 2015 14:57
play.sbt.Play は PlayScala と PlayJava の共通設定っぽい
KAWACHI Takashi
@tkawachi
May 28 2015 15:05
https://travis-ci.org/scalikejdbc/scalikejdbc-play-support/jobs/64432036 java.lang.UnsupportedClassVersionError: play/runsupport/classloader/ApplicationClassLoaderProvider : Unsupported major.minor version 52.0
Travis が Java 8 じゃないのかな
こっそり書き換えました
KAWACHI Takashi
@tkawachi
May 28 2015 15:14
+1
Kazuhiro Sera
@seratch
May 28 2015 17:27
ご協力により出しました。https://twitter.com/ScalikeJDBC/status/603975515578347520
db.default.username 何なの...